Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Class ACRF.BigramTemplate

    java.lang.Object
      cc.mallet.grmm.learning.ACRF.Template
          cc.mallet.grmm.learning.ACRF.SequenceTemplate
              cc.mallet.grmm.learning.ACRF.BigramTemplate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ACRF

    public static class ACRF.BigramTemplate

extends ACRF.SequenceTemplate

A template that adds edges between adjacent nodes in a label sequence for one factor.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.grmm.learning.ACRF.Template
`index, weights`

Constructor Summary
`ACRF.BigramTemplate(int factor)`

Method Summary
`void` | `addInstantiatedCliques(ACRF.UnrolledGraph graph, FeatureVectorSequence fvs, LabelsAssignment lblseq)` Adds all instiated cliques for an instance.
`int` | `getFactor()`
`java.lang.String` | `toString()`

Methods inherited from class cc.mallet.grmm.learning.ACRF.SequenceTemplate
`addInstantiatedCliques`

Methods inherited from class cc.mallet.grmm.learning.ACRF.Template
`addSomeUnsupportedWeights, computeAssignment, computeFactor, createFactorMatrix, getAssignmentsPresent, getDefaultWeight, getDefaultWeights, getWeights, initWeights, isSupportedOnly, isTrainable, isUnsupportedWeightsAdded, modifyPotential, setDefaultWeight, setDefaultWeights, setTrainable, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ACRF.BigramTemplate

    public ACRF.BigramTemplate(int factor)

Method Detail

### addInstantiatedCliques

    public void addInstantiatedCliques(ACRF.UnrolledGraph graph,
                                       FeatureVectorSequence fvs,
                                       LabelsAssignment lblseq)

  Description copied from class: `ACRF.SequenceTemplate`
  Adds all instiated cliques for an instance. This method is called as a graph is being unrolled for an instance.

  Specified by:
    `addInstantiatedCliques` in class `ACRF.SequenceTemplate`
  Parameters:
    `graph` - The graph that the cliques will be added to.
    `fvs` - The input features of the instance to unroll the cliques for.
    `lblseq` - The label sequence of the instance being unrolled.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFactor

    public int getFactor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD